Subject: Re: [AVT] RE: <draft-ietf-avt-rtp-vmr-wb-03.txt>: sampling rate
From: Colin Perkins <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 11 Sep 2004 13:01:23 +0100
List-Id: Audio/Video Transport Working Group <avt.ietf.org>

On 9 Sep 2004, at 22:21, [email-masked] wrote:
> If you agree, I make the following changes to the VMR-WB I-D:
>
> 1- Only one RTP timestamp clock rate of 16000 Hz is used throughout 
> the I-D.
> 2- A new optional MIME parameter "sampling-frequency" is defined with 
> the following description:
>
> sampling-frequency:    The input/output media sampling frequency. 
> Permissible values are 8000 (narrowband) or 16000 (wideband, default). 
> If 16000 or not present, indicates that the input/output media 
> sampling frequency is 16000 Hz.
>
> The reason that I used the term media is that the input to the encoder 
> or the decoder output could be speech, audio (e.g., music, tone, 
> etc.).
>
> If this is acceptable, I will make the necessary changes in the I-D 
> and submit a new draft shortly.

I object to both changes. Audio payload formats use the sampling rate 
of the original data to derive their timestamp; if the input to the 
codec is 8kHz audio, the sampling rate should be 8000.

Doing otherwise is inconsistent with all other audio formats (except 
G.722 which uses 16kHz for compatibility with a mistake in RFC 1890).

Colin

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt